require 'omniauth/strategies/oauth2'

module OmniAuth
  module Strategies
    class Howtodo < OmniAuth::Strategies::OAuth2
      # change the class name and the :name option to match your application name
      option :name, :howtodo

      option :client_options, {
        :site => "http://account.howtodo.me",
        #:site => "http://127.0.0.1:3000",
        :authorize_url => "/oauth/authorize"
      }

      uid { raw_info['_id']['$oid'] }

      info do
        {
          :email => raw_info["email"]
          # and anything else you want to return to your API consumers
        }
      end

      extra { raw_info }

      def raw_info
        @raw_info ||= access_token.get('/me').parsed
      end
    end
  end
end

